Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.util
Class ParsedURLJarProtocolHandler

    java.lang.Object
      org.apache.batik.util.AbstractParsedURLProtocolHandler
          org.apache.batik.util.ParsedURLDefaultProtocolHandler
              org.apache.batik.util.ParsedURLJarProtocolHandler

All Implemented Interfaces:
  ParsedURLProtocolHandler

    public class ParsedURLJarProtocolHandler

extends ParsedURLDefaultProtocolHandler

Protocol Handler for the 'jar' protocol. This appears to have the format: jar:!

Field Summary
`static String` | `JAR`

Fields inherited from class org.apache.batik.util.AbstractParsedURLProtocolHandler
`protocol`

Constructor Summary
`ParsedURLJarProtocolHandler()`

Method Summary
`ParsedURLData` | `parseURL(ParsedURL baseURL, String urlStr)` Parses the string as a sub URL of baseURL, and returns the results of parsing in the ParsedURLData object.

Methods inherited from class org.apache.batik.util.ParsedURLDefaultProtocolHandler
`charToHex, constructParsedURLData, constructParsedURLData, parseURL, unescapeStr`

Methods inherited from class org.apache.batik.util.AbstractParsedURLProtocolHandler
`getProtocolHandled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JAR

    public static final String JAR

See Also:
  Constant Field Values

Constructor Detail

### ParsedURLJarProtocolHandler

    public ParsedURLJarProtocolHandler()

Method Detail

### parseURL

    public ParsedURLData parseURL(ParsedURL baseURL,
                                  String urlStr)

  Description copied from class: `ParsedURLDefaultProtocolHandler`
  Parses the string as a sub URL of baseURL, and returns the results of parsing in the ParsedURLData object.

  Specified by:
    `parseURL` in interface `ParsedURLProtocolHandler`
  Overrides:
    `parseURL` in class `ParsedURLDefaultProtocolHandler`
  Parameters:
    `baseURL` - the base url for parsing.
    `urlStr` - the string to parse as a URL.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.